Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jbpm.task
Enum TaskEvent.TaskEventType

    java.lang.Object
      java.lang.Enum<TaskEvent.TaskEventType>
          org.jbpm.task.TaskEvent.TaskEventType

All Implemented Interfaces:
  Serializable, Comparable<TaskEvent.TaskEventType>

Enclosing class:
  TaskEvent

    public static enum TaskEvent.TaskEventType

extends Enum<TaskEvent.TaskEventType>

Enum Constant Summary
`ACTIVATED`
`ADDED`
`CLAIMED`
`COMPLETED`
`CREATED`
`EXITED`
`FAILED`
`FORWARDED`
`RELEASED`
`SKIPPED`
`STARTED`
`STOPPED`
`SUSPENDED`

Method Summary
`static TaskEvent.TaskEventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TaskEvent.TaskEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STARTED

    public static final TaskEvent.TaskEventType STARTED

### ACTIVATED

    public static final TaskEvent.TaskEventType ACTIVATED

### COMPLETED

    public static final TaskEvent.TaskEventType COMPLETED

### STOPPED

    public static final TaskEvent.TaskEventType STOPPED

### EXITED

    public static final TaskEvent.TaskEventType EXITED

### FAILED

    public static final TaskEvent.TaskEventType FAILED

### ADDED

    public static final TaskEvent.TaskEventType ADDED

### CLAIMED

    public static final TaskEvent.TaskEventType CLAIMED

### SKIPPED

    public static final TaskEvent.TaskEventType SKIPPED

### SUSPENDED

    public static final TaskEvent.TaskEventType SUSPENDED

### CREATED

    public static final TaskEvent.TaskEventType CREATED

### FORWARDED

    public static final TaskEvent.TaskEventType FORWARDED

### RELEASED

    public static final TaskEvent.TaskEventType RELEASED

Method Detail

### values

    public static TaskEvent.TaskEventType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TaskEvent.TaskEventType c : TaskEvent.TaskEventType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TaskEvent.TaskEventType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.